Skip to content

VPC Routes

Create and manipulate routing rules

Read more

create-route

Create a route

POST /vpc/{vpc-id}/subnet/{subnet-id}/route

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
subnet-idpathMust be a valid UUID.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
destinationstringyesThe CIDR used to match on which packets the routing rule should be applied
targetstringyesWhere the packets should be sent to. More details on the format can be found here https://community.exoscale.com/product/networking/vpc/how-to/using-routing-rules/
descriptionstringnoMax length: 4096.
Example
{
  "description": "string",
  "destination": "string",
  "target": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
descriptionstringMax length: 4096.
destinationstringThe CIDR used to match on which packets the routing rule should be applied
idstringMust be a valid UUID.
kindstringAllowed values: Subnet, Vpc.
targetstringWhere the packets should be sent to
Example output
{
  "description": "string",
  "destination": "string",
  "id": "a1b2c3d4-e5f6-4a5b-8c9d-0123456789ab",
  "kind": "Subnet",
  "target": "string"
}

SDK reference for create-route: golang | Python | Java

CLI: exo api create-route

delete-route

Delete a route

DELETE /vpc/{vpc-id}/subnet/{subnet-id}/route/{id}

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
subnet-idpathMust be a valid UUID.
idpathMust be a valid UUID.

Responses

Status: 204 - 204

SDK reference for delete-route: golang | Python | Java

CLI: exo api delete-route


Other Operations

list-routes

List Subnet routes

GET /vpc/{vpc-id}/subnet/{subnet-id}/route

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
subnet-idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
routesarray of Route
Example output
{
  "routes": [
    {
      "description": "string",
      "destination": "string",
      "id": "a1b2c3d4-e5f6-4a5b-8c9d-0123456789ab",
      "kind": "Subnet",
      "target": "string"
    }
  ]
}

SDK reference for list-routes: golang | Python | Java

CLI: exo api list-routes

list-vpc-routes

List VPC routes

GET /vpc/{vpc-id}/route

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
routesarray of Route
Example output
{
  "routes": [
    {
      "description": "string",
      "destination": "string",
      "id": "a1b2c3d4-e5f6-4a5b-8c9d-0123456789ab",
      "kind": "Subnet",
      "target": "string"
    }
  ]
}

SDK reference for list-vpc-routes: golang | Python | Java

CLI: exo api list-vpc-routes

Last updated on